QuantLib: YoYInflationCapFloorEngine Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
YoYInflationCapFloorEngine Class Referenceabstract

Base YoY inflation cap/floor engine. More...

`#include <ql/pricingengines/inflation/inflationcapfloorengines.hpp>`

Inheritance diagram for YoYInflationCapFloorEngine:
[legend]

## Public Member Functions
| YoYInflationCapFloorEngine (const boost::shared_ptr< YoYInflationIndex > &, const Handle< YoYOptionletVolatilitySurface > &vol)
boost::shared_ptr< YoYInflationIndex > | index () const
Handle< YoYOptionletVolatilitySurface > | volatility () const
void | setVolatility (const Handle< YoYOptionletVolatilitySurface > &vol)
void | calculate () const
Public Member Functions inherited from GenericEngine< YoYInflationCapFloor::arguments, YoYInflationCapFloor::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Protected Member Functions
virtual Real | optionletImpl (Option::Type type, Rate strike, Rate forward, Real stdDev, Real d) const =0
| descendents only need to implement this

## Protected Attributes
boost::shared_ptr< YoYInflationIndex > | index_
Handle< YoYOptionletVolatilitySurface > | volatility_
Protected Attributes inherited from GenericEngine< YoYInflationCapFloor::arguments, YoYInflationCapFloor::results >
YoYInflationCapFloor::arguments | arguments_
YoYInflationCapFloor::results | results_

## Detailed Description

Base YoY inflation cap/floor engine.

This class doesn't know yet what sort of vol it is. The inflation index must be linked to a yoy inflation term structure. This provides the curves, hence the call uses a shared_ptr<> not a handle<> to the index.